Merchant Milestones

Retrieve a list of active Milestone Automations

Returns a paginated list of milestone configurations grouped by type.

Response Body

{
  "total": 3,
  "total_pages": 1,
  "page": 1,
  "merchant_milestones": {
    "spend": [
      {
        "id": 944,
        "status": "active",
        "name": "Gold Member",
        "created_at": "2025-03-21T15:22:56Z",
        "updated_at": "2026-02-05T21:48:34Z",
        "start_date_type": "absolute",
        "start_date": "2026-02-26T05:00:00Z",
        "threshold": 5000.0,
        "timeframe_days": 50
      }
    ],
    "visit": [
      {
        "id": 1192,
        "status": "active",
        "name": "Visit Gold",
        "created_at": "2026-02-05T21:46:06Z",
        "updated_at": "2026-02-05T21:46:58Z",
        "start_date_type": "all-time",
        "start_date": "2022-05-13T17:39:24Z",
        "threshold": 5.0,
        "timeframe_days": 10
      }
    ],
    "points": [
      {
        "id": 1194,
        "status": "active",
        "name": "Points Gold",
        "created_at": "2026-02-05T21:48:57Z",
        "updated_at": "2026-02-05T21:49:30Z",
        "start_date_type": "all-time",
        "start_date": "2022-05-13T17:39:24Z",
        "threshold": 400.0
      }
    ]
  }
}
Query Params
integer
Defaults to 1

page

string
Defaults to spend

Accepts: spend, visit, points

Headers
string
required

AUTH-TOKEN

string
required

x-api-key

Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json